/*
 *    Virtual Steganographic Laboratory (VSL)
 *    Copyright (C) 2008-2011  M. Wegrzyn <bend-up@users.sourceforge.net>

 *    This file is part of Virtual Steganographic Laboratory (VSL).

 *    VSL is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.

 *    VSL is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.

 *    You should have received a copy of the GNU General Public License
 *    along with VSL.  If not, see <http://www.gnu.org/licenses/>.
 */
package pl.edu.zut.wi.vsl.app.gui.panels;

/**
 * Panel representing about informations.
 * 
 * @author Michal Wegrzyn
 */
public class AboutPanel extends javax.swing.JPanel {

    /** Creates new form AboutPanel */
    public AboutPanel() {
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        logoWiLabel = new javax.swing.JLabel();
        vslLabel = new javax.swing.JLabel();
        authorsLabel = new javax.swing.JLabel();
        contactLabel = new javax.swing.JLabel();
        univLabel = new javax.swing.JLabel();
        facultyLabel = new javax.swing.JLabel();
        plLabel = new javax.swing.JLabel();
        logoLabel = new javax.swing.JLabel();

        logoWiLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pl/edu/zut/wi/vsl/app/gui/icons/logo-wi.png"))); // NOI18N

        vslLabel.setText("Virtual Steganographic Laboratory v1.1");

        authorsLabel.setText("Michal Wegrzyn, Pawel Forczmanski");

        contactLabel.setText("mwegrzyn@wi.zut.edu.pl, pforczanski@wi.zut.edu.pl");

        univLabel.setText("West Pomeranian University of Technology, Szczecin");

        facultyLabel.setText("Faculty of Computer Science and Information Systems");

        plLabel.setText("Poland 2008-2011");

        logoLabel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/pl/edu/zut/wi/vsl/app/gui/icons/logo64x64.png"))); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(logoLabel)
                    .addComponent(logoWiLabel))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(vslLabel)
                    .addComponent(univLabel)
                    .addComponent(facultyLabel)
                    .addComponent(plLabel)
                    .addComponent(authorsLabel)
                    .addComponent(contactLabel))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                        .addComponent(vslLabel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(authorsLabel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(contactLabel))
                    .addComponent(logoLabel))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(logoWiLabel)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(univLabel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(facultyLabel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(plLabel)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel authorsLabel;
    private javax.swing.JLabel contactLabel;
    private javax.swing.JLabel facultyLabel;
    private javax.swing.JLabel logoLabel;
    private javax.swing.JLabel logoWiLabel;
    private javax.swing.JLabel plLabel;
    private javax.swing.JLabel univLabel;
    private javax.swing.JLabel vslLabel;
    // End of variables declaration//GEN-END:variables

}
